Public Class ucEtapaFinal
    Inherits System.Web.UI.UserControl

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim p As String
        p = Request.QueryString("p")

        If Not IsPostBack Then
            Dim oplaza As New PlazaBusinessObject(CInt(p))
            ltlComentario.Text = If(oplaza.Entity.cierreComentario Is Nothing, "", oplaza.Entity.cierreComentario)
            ltlTotal.Text = If(oplaza.Entity.numeroParticipantes Is Nothing, "0", oplaza.Entity.numeroParticipantes)
            If oplaza.Entity.idEstadoPlaza = 4 Then
                lblContratado.Visible = True
            Else
                If oplaza.Entity.idEstadoPlaza = 7 Then
                    lblDesierto.Visible = True
                End If
            End If
        End If
    End Sub

End Class